Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.plugin.filter.flow
Class TraceEventRecords

    java.lang.Object
      kieker.analysis.plugin.filter.flow.TraceEventRecords

    public final class TraceEventRecords

extends Object

Since:
  1.5
Author:
  Jan Waller

Constructor Summary
`TraceEventRecords(TraceMetadata trace, AbstractTraceEvent[] traceEvents)` Creates a new instance of this class using the given parameters.

Method Summary
`boolean` | `equals(Object obj)`
`int` | `getCount()`
`AbstractTraceEvent[]` | `getTraceEvents()` Delivers the stored trace events.
`TraceMetadata` | `getTraceMetadata()` Delivers the stored traces.
`int` | `hashCode()`
`void` | `setCount(int count)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TraceEventRecords

    public TraceEventRecords(TraceMetadata trace,
                             AbstractTraceEvent[] traceEvents)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `trace` - The trace to be stored in this object.
    `traceEvents` - The trace events to be stored in this object.

Method Detail

### getTraceMetadata

    public TraceMetadata getTraceMetadata()

  Delivers the stored traces.

  Returns:
    The traces currently stored in this object.

### getTraceEvents

    public AbstractTraceEvent[] getTraceEvents()

  Delivers the stored trace events.

  Returns:
    The trace events currently stored in this object.

### getCount

    public int getCount()

### setCount

    public void setCount(int count)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public final boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net